Subject: bug#11441: 24.1.50; EDE Mode only supports Make and Automake projects

From: Christoph Scholtes <[email-masked]>
Date: Thu, 10 May 2012 20:31:28 -0600

On 5/10/2012 7:47 PM, Glenn Morris wrote:

> I've no idea, I've never used EDE for anything. :)

I'm mainly interested in pointing Semantic to project-specific includes. 
I thought Simple projects sounded...simple enough for that. ;)

> There is a "Simple Projects" manual node, with a menu entry:
>
>    * ede-simple subclassing:: Create your own simple project.
>
> that looks promising. But...
>
>     6.1.2 ede-simple Subclassing
>     ----------------------------
>
>     todo - Write some doc.
>
>        In the meantime look in the commentary of ede-simple.el
>
> Oh dear. The file is not even called ede-simple.el in Emacs, it is
> ede/simple.el. Its commentary says:
>
>     ;; NOTE: EDE Simple Projects are considered obsolete.  Use generic
>     ;; projects instead.
>
> So it gets worse! :)
> "Generic projects" aren't mentioned at all in the manual AFAICS.

Oh boy...I wonder if this has been cleaned up in the 'real' CEDET.

I am copying Eric. Maybe he can help assess what to do with this. This 
is just not good.

Thanks for looking into this Glenn.

Christoph